/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Implantation Plan
 */
public enum EnumCV_ImplantationPlan 
{
	// Implantation Plan - CID 7000
	IMPLANTATION_PLAN_112345("112345"),
	IMPLANT_COMPONENT_LIST_112360("112360"),
	IMPLANT_ASSEMBLY_TEMPLATE_112366("112366"),
	SELECTED_IMPLANT_COMPONENT_112346("112346"),
	COMPONENT_ID_112347("112347"),
	COMPONENT_TYPE_112370("112370"),
	FRAME_OF_REFERENCE_UID_112227("112227"),
	MANUFACTURER_IMPLANT_TEMPLATE_112371("112371"),
	ASSEMBLY_112355("112355"),
	COMPONENT_CONNECTION_112350("112350"),
	CONNECTED_IMPLANTATION_PLAN_COMPONENT_112374("112374"),
	MATING_FEATURE_SET_ID_112351("112351"),
	MATING_FEATURE_ID_112352("112352"),
	DEGREES_OF_FREEDOM_SPECIFICATION_112362("112362"),
	DEGREE_OF_FREEDOM_ID_112363("112363"),
	DEGREE_OF_FREEDOM_EXACT_TRANSLATIONAL_VALUE_112376("112376"),
	DEGREE_OF_FREEDOM_MINIMUM_TRANSLATIONAL_VALUE_112377("112377"),
	DEGREE_OF_FREEDOM_MAXIMUM_TRANSLATIONAL_VALUE_112378("112378"),
	DEGREE_OF_FREEDOM_EXACT_ROTATIONAL_VALUE_112379("112379"),
	DEGREE_OF_FREEDOM_MINIMUM_ROTATIONAL_VALUE_112380("112380"),
	DEGREE_OF_FREEDOM_MAXIMUM_ROTATIONAL_VALUE_112381("112381"),
	INFORMATION_USED_FOR_PLANNING_112358("112358"),
	PLANNING_METHOD_112375("112375"),
	PATIENT_IMAGE_112354("112354"),
	HORIZONTAL_PIXEL_SPACING_111026("111026"),
	VERTICAL_PIXEL_SPACING_111066("111066"),
	PATIENT_DATA_USED_DURING_PLANNING_112361("112361"),
	USER_SELECTED_FIDUCIAL_112356("112356"),
	FIDUCIAL_INTENT_112369("112369"),
	PLANNING_INFORMATION_FOR_INTRAOPERATIVE_USAGE_112367("112367"),
	PHYSICIAN_NOTE_121173("121173"),
	SUPPORTING_INFORMATION_122359("122359"),
	DERIVED_PLANNING_IMAGES_112372("112372"),
	SPATIAL_REGISTRATION_112353("112353"),
	DERIVED_PLANNING_DATA_112373("112373"),
	DERIVED_FIDUCIAL_112357("112357"),
	FIDUCIALINTENT_112369("112369"),
	RELATED_PATIENT_DATA_NOT_USED_DURING_PLANNING_112364("112364"),
	
;
	private String value;
	
	EnumCV_ImplantationPlan(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}